gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.CheckMenuItemAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype CheckMenuItemAccessible = CheckMenuItemAccessible (ManagedPtr CheckMenuItemAccessible)
- class (GObject o, IsDescendantOf CheckMenuItemAccessible o) => IsCheckMenuItemAccessible o
- toCheckMenuItemAccessible :: (MonadIO m, IsCheckMenuItemAccessible o) => o -> m CheckMenuItemAccessible

# Exported types

newtype CheckMenuItemAccessible Source #

Memory-managed wrapper type.

Constructors

CheckMenuItemAccessible (ManagedPtr CheckMenuItemAccessible) |

#### Instances

Instances details

Eq CheckMenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.CheckMenuItemAccessible Methods (==) :: CheckMenuItemAccessible -> CheckMenuItemAccessible -> Bool Source # (/=) :: CheckMenuItemAccessible -> CheckMenuItemAccessible -> Bool Source #
GObject CheckMenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.CheckMenuItemAccessible
ManagedPtrNewtype CheckMenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.CheckMenuItemAccessible Methods toManagedPtr :: CheckMenuItemAccessible -> ManagedPtr CheckMenuItemAccessible Source #
TypedObject CheckMenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.CheckMenuItemAccessible Methods glibType :: IO GType Source #
HasParentTypes CheckMenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.CheckMenuItemAccessible
IsGValue (Maybe CheckMenuItemAccessible) Source # | Convert `CheckMenuItemAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.CheckMenuItemAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe CheckMenuItemAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe CheckMenuItemAccessible) Source #
type ParentTypes CheckMenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.CheckMenuItemAccessible type ParentTypes CheckMenuItemAccessible = '[MenuItemAccessible, ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Action, Component, Selection]

class (GObject o, IsDescendantOf CheckMenuItemAccessible o) => IsCheckMenuItemAccessible o Source #

Type class for types which can be safely cast to `CheckMenuItemAccessible`, for instance with `toCheckMenuItemAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf CheckMenuItemAccessible o) => IsCheckMenuItemAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.CheckMenuItemAccessible

toCheckMenuItemAccessible :: (MonadIO m, IsCheckMenuItemAccessible o) => o -> m CheckMenuItemAccessible Source #

Cast to `CheckMenuItemAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, clearSelection, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isChildSelected, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSelection, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollTo, scrollToPoint, selectAllSelection, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSelectionCount, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.